[Overview][Types][Classes][Index] | Reference for unit 'resdatastream' (#fcl-res)

# TResourceDataStream.Create

Creates a new object

## Declaration

Source position: resdatastream.pp line 75

`public constructor TResourceDataStream.Create(`
`aStream: TStream;`
`aResource: TAbstractResource;`
`aSize: Int64;`
`aClass: TCachedStreamClass`
`);`

## Arguments

`aStream` |  | The stream which resource data must be read from. It can be nil
`aResource` |  | The resource whose data must be read
`aSize` |  | The size of the resource data
`aClass` |  | The class to use to create the underlying cached stream

## Description

A new TResourceDataStream object is created.

If aStream is nil, the underlying stream is a memory stream. Otherwise, a cached stream of the class specified in aClass is created and set as the underlying stream.

## See also

TResourceDataStream |  | Stream class that provides copy-on-write functionality
TCachedDataStream |  | Base cached stream class
TResourceDataStream.SetCustomStream |  | Sets a custom stream as the underlying stream